Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download from the iTunes Store, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

DK Readers L4: Star Wars: Beware the Dark Side (Enhanced Edition)

This book is available for download with iBooks on your Mac or iOS device, and with iTunes on your computer. Books can be read with iBooks on your Mac or iOS device.


DK's Star Wars Readers help kids learn to read while enjoying the stories and characters from the blockbuster movies. In Beware the Dark Side, take a bone-chilling trip to the dark side of the Force and meet the Sith who wield its power - Darth Sidious, Darth Maul, and the infamous Darth Vader.

Packed with full-color photographs and engaging, age-appropriate stories, the ebooks introduce young children to a life-long love of reading. These amazing stories are guaranteed to capture children's interest while developing their reading skills. They're also perfect for reading together!

The playful images in this eBook are enhanced with entertaining animations and surprising sounds to bring this story to life.

© 2012 Lucasfilm Ltd.


screenshot 1
screenshot 2
screenshot 3
screenshot 4
screenshot 5
DK Readers L4: Star Wars: Beware the Dark Side (Enhanced Edition)
View In iTunes
  • $2.99
  • Level: Grades 4-7
  • Available on iPhone, iPad, iPod touch, and Mac.
  • Category: Performing Arts
  • Published: Aug 30, 2012
  • Publisher: DK Publishing
  • Seller: Penguin Group (USA) Inc.
  • Print Length: 48 Pages
  • Language: English
  • Requirements: To view this book, you must have an iOS device with iBooks 1.3 or later and iOS 4.2 or later, or a Mac with iBooks 1.0 or later and OS X 10.9 or later.

Customer Ratings